# Projects search Endpoint: POST /projects/action/search Version: 1.0.0-beta Security: bearerToken ## Query parameters: - `page` (integer) - `size` (integer) ## Request fields (application/json): - `upn` (string) - `name` (string) - `country` (string) - `status` (string) Enum: "IMPORTED", "INACTIVE", "PENDING_IMPORT", "REJECTED" - `program` (string) Ref.Data.PROGRAM_PROG - `registryAssignedId` (string) - `certification` (string) ## Response 200 fields (application/json): - `page` (integer, required) - `size` (integer, required) - `totalPages` (integer, required) - `totalElements` (integer, required) - `content` (array) - `content.id` (integer) The unique XC db identifier for the project or generator. - `content.upn` (string) Universal Project Identifier. The unique identifier assigned by Xpansiv Connect to every resource across all registries that have integrated with the Xpansiv Connect platform. - `content.name` (string, required) The registry assigned name of the project or generator. - `content.programs` (array, required) - `content.programs.program` (string, required) Ref.Data.PROGRAM_PROG - `content.programs.programName` (string) Registry name. - `content.programs.registryAssignedId` (string, required) ID assigned by the registry. - `content.programs.registryAccountHolderName` (string) Name of the registry account holder. - `content.programs.status` (string, required) The status of the project. - `content.programs.creditType` (string, required) The type of the credit - `content.programs.projectType` (string, required) The project type. - `content.programs.baselineMethodologies` (array) - `content.programs.creditingPeriodBegin` (string) Begin date for credit reporting. - `content.programs.creditingPeriodEnd` (string) End date for credit reporting. - `content.description` (string) The full description from the registry. - `content.status` (string) Enum: "IMPORTED", "INACTIVE", "PENDING_IMPORT", "REJECTED" - `content.country` (string) Country. - `content.stateProvince` (string) State or Province - `content.city` (string) City. - `content.location` (object) - `content.location.latitude` (number) Latitude. - `content.location.longitude` (number) Longitude. - `content.annualAverageOffsetQty` (integer) Annual average offset quantity. - `content.projectCertifications` (array) Optional property. Use include param. - `content.projectCertifications.code` (string) Certification code. - `content.projectCertifications.projectCertificationDateRanges` (array) - `content.projectCertifications.projectCertificationDateRanges.certificationStart` (string) The project certification start date. - `content.projectCertifications.projectCertificationDateRanges.certificationEnd` (string) The project certification end date. - `content.issuanceCertifications` (array) Optional property. Use include param. - `content.issuanceCertifications.vintageYears` (array) Vintage years. ## Response 400 fields (application/json): - `code` (string) Enum: "INVALID_REQUEST", "INVALID_PROJECT_STATUS", "INVALID_PROGRAM", "INVALID_COUNTRY", "INVALID_CERTIFICATION", "INVALID_PAGE_SIZE", "INVALID_PAGE_NUMBER" - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string)